## GdlDockBar GdlDockBar — A docking bar |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GtkWidget * | gdl_dock_bar_new ()
void | gdl_dock_bar_set_orientation ()
GtkOrientation | gdl_dock_bar_get_orientation ()
void | gdl_dock_bar_set_style ()
GdlDockBarStyle | gdl_dock_bar_get_style ()

## Properties

GdlDockBarStyle | dockbar-style | Read / Write / Construct
GObject * | master | Read / Write

## Types and Values

struct | GdlDockBar
enum | GdlDockBarStyle

## Object Hierarchy

        GEnum
        ╰── GdlDockBarStyle
        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GdlDockBar

## Implemented Interfaces

GdlDockBar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

This docking bar is a widget containing a button for each iconified GdlDockItem widget. The widget can be re-opened by clicking on it.

A dock bar is associated with one GdlDockMaster and will get all iconified widgets of this master. This can includes widgets from several GdlDock objects.

## Functions

### gdl_dock_bar_new ()

    GtkWidget *
    gdl_dock_bar_new (GObject *master);

Creates a new GDL dock bar. If a GdlDockObject is used, the dock bar will be associated with the master of this object.

#### Parameters

master | The associated GdlDockMaster or GdlDockObject object. | [allow-none]

#### Returns

The newly created dock bar.

### gdl_dock_bar_set_orientation ()

    void
    gdl_dock_bar_set_orientation (GdlDockBar *dockbar,
                                  GtkOrientation orientation);

`gdl_dock_bar_set_orientation` has been deprecated since version 3.6 and should not be used in newly-written code.

Use `gtk_orientable_set_orientation()` instead.

Set the orientation of the `dockbar` .

#### Parameters

dockbar | a GdlDockBar |
orientation | the new orientation |

### gdl_dock_bar_get_orientation ()

    GtkOrientation
    gdl_dock_bar_get_orientation (GdlDockBar *dockbar);

`gdl_dock_bar_get_orientation` has been deprecated since version 3.6 and should not be used in newly-written code.

Use `gtk_orientable_get_orientation()` instead.

Retrieves the orientation of the `dockbar` .

#### Parameters

dockbar | a GdlDockBar |

#### Returns

the orientation of the `docbar`

### gdl_dock_bar_set_style ()

    void
    gdl_dock_bar_set_style (GdlDockBar *dockbar,
                            GdlDockBarStyle style);

Set the style of the `dockbar` .

#### Parameters

dockbar | a GdlDockBar |
style | the new style |

### gdl_dock_bar_get_style ()

    GdlDockBarStyle
    gdl_dock_bar_get_style (GdlDockBar *dockbar);

Retrieves the style of the `dockbar` .

#### Parameters

dockbar | a GdlDockBar |

#### Returns

the style of the `docbar`

## Types and Values

### struct GdlDockBar

    struct GdlDockBar;

### enum GdlDockBarStyle

Used to customize the appearance of a GdlDockBar.

#### Members

GDL_DOCK_BAR_ICONS | Buttons display only icons in the dockbar. |
GDL_DOCK_BAR_TEXT | Buttons display only text labels in the dockbar. |
GDL_DOCK_BAR_BOTH | Buttons display text and icons in the dockbar. |
GDL_DOCK_BAR_AUTO | identical to `GDL_DOCK_BAR_BOTH` . |

## Property Details

### The `“dockbar-style”` property

      “dockbar-style”            GdlDockBarStyle

Dockbar style to show items on it.

Owner: GdlDockBar

Flags: Read / Write / Construct

Default value: GDL_DOCK_BAR_BOTH

### The `“master”` property

      “master”                   GObject *

The GdlDockMaster object attached to the dockbar.

Owner: GdlDockBar

Flags: Read / Write

## See Also

GdlDockMaster